Skip to main content
GET
https://punchplay.tv
/
api
/
platform
/
v1
/
playback
/
now-playing
Get the current now-playing item
curl --request GET \
  --url https://punchplay.tv/api/platform/v1/playback/now-playing \
  --header 'Authorization: Bearer <token>'
{
  "type": "<string>",
  "tmdbId": 123,
  "title": "<string>",
  "year": 123,
  "progressPercent": 123,
  "progressSeconds": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "nowPlaying": true,
  "mediaSource": "<string>",
  "posterPath": "<string>",
  "backdropPath": "<string>",
  "showTmdbId": 123,
  "season": 123,
  "episode": 123,
  "episodeTitle": "<string>",
  "durationSeconds": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

object | null

Current now-playing item, or null.

type
string
required
tmdbId
integer
required
title
string
required
year
integer
required
progressPercent
number
required
progressSeconds
integer
required
updatedAt
string<date-time>
required
nowPlaying
boolean
required
playbackState
enum<string>
required
Available options:
watching,
paused,
stopped
mediaSource
string
required
posterPath
string | null
backdropPath
string | null
showTmdbId
integer | null
season
integer | null
episode
integer | null
episodeTitle
string | null
durationSeconds
integer | null